<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapModelObject (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapModelObject (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapModelObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.DirectionalLight.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapModelObject.html" target="_top">Frames</a></li>
<li><a href="MapModelObject.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapModelObject" class="title">Class MapModelObject</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">com.here.android.mpa.common.ViewObject</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">com.here.android.mpa.mapping.MapObject</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapModelObject</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapGeoModel.html" title="class in com.here.android.mpa.mapping">MapGeoModel</a>, <a href="../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MapModelObject</span>
extends <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></pre>
<div class="block">Base class for <a href="../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping"><code>MapLocalModel</code></a> and <a href="../../../../../com/here/android/mpa/mapping/MapGeoModel.html" title="class in com.here.android.mpa.mapping"><code>MapGeoModel</code></a>. This class provides additional
 functionalities to set lighting and material properties to a model object.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.DirectionalLight.html" title="class in com.here.android.mpa.mapping">MapModelObject.DirectionalLight</a></span></code>
<div class="block">This class specifies a directional light.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a></span></code>
<div class="block">Base Interface for all Lights supported by <code>MapModel</code> This class will be extended in
 the new future with more methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a></span></code>
<div class="block">Base Interface for all Materials supported by <code>MapModel</code> This class will be extended in
 future with more methods.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.PhongMaterial.html" title="class in com.here.android.mpa.mapping">MapModelObject.PhongMaterial</a></span></code>
<div class="block"><code>PhongMaterial</code> is used for shading a model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.mapping.MapObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapObject.Type.html" title="enum in com.here.android.mpa.mapping">MapObject.Type</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#MapModelObject-com.nokia.maps.MapModelObjectImpl-">MapModelObject</a></span>(com.nokia.maps.MapModelObjectImpl impl)</code>
<div class="block">Protected constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#addLight-com.here.android.mpa.mapping.MapModelObject.Light-">addLight</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a> light)</code>
<div class="block">Add a light to the object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#ARGBToRGBA-int-">ARGBToRGBA</a></span>(int color)</code>
<div class="block">Simple color converter.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#getLight-int-">getLight</a></span>(int index)</code>
<div class="block">Get an already added <code>Light</code></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#getMaterial--">getMaterial</a></span>()</code>
<div class="block">Get the <code>Material</code></div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#getNumberLightsSupported--">getNumberLightsSupported</a></span>()</code>
<div class="block">Get the maximum number of lights supported.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#getNumLights--">getNumLights</a></span>()</code>
<div class="block">Get the number of lights.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#removeAllLights--">removeAllLights</a></span>()</code>
<div class="block">Remove all lights from this model object.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#RGBAToARGB-int-">RGBAToARGB</a></span>(int color)</code>
<div class="block">Simple color converter.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#setLight-int-com.here.android.mpa.mapping.MapModelObject.Light-">setLight</a></span>(int index,
        <a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a> light)</code>
<div class="block">Update the light for a particular light</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#setMaterial-com.here.android.mpa.mapping.MapModelObject.Material-">setMaterial</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a> material)</code>
<div class="block">Set the <code>Material</code></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.mapping.MapObject">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getOverlayType--">getOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getParent--">getParent</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getReserveOverlayType--">getReserveOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getType--">getType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getVisibleMask--">getVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#getZIndex--">getZIndex</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#isVisible--">isVisible</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#resetVisibleMask-boolean-">resetVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setReserveOverlayType-com.here.android.mpa.mapping.MapOverlayType-">setReserveOverlayType</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisible-boolean-">setVisible</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-">setVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setVisibleMask-int-int-">setVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setZIndex-int-">setZIndex</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#unsetVisibleMask-int-">unsetVisibleMask</a>, <a href="../../../../../com/here/android/mpa/mapping/MapObject.html#unsetVisibleMask-int-int-">unsetVisibleMask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.common.ViewObject">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a></h3>
<code><a href="../../../../../com/here/android/mpa/common/ViewObject.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../com/here/android/mpa/common/ViewObject.html#getBaseType--">getBaseType</a>, <a href="../../../../../com/here/android/mpa/common/ViewObject.html#hashCode--">hashCode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MapModelObject-com.nokia.maps.MapModelObjectImpl-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapModelObject</h4>
<pre>protected MapModelObject(com.nokia.maps.MapModelObjectImpl impl)</pre>
<div class="block">Protected constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>impl</code> - The impl object to be constructed of.</dd>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="ARGBToRGBA-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARGBToRGBA</h4>
<pre>public static int ARGBToRGBA(int color)</pre>
<div class="block">Simple color converter. Converts from ARGB to RGBA.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - Color to be converted.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color in RGBA.</dd>
</dl>
</li>
</ul>
<a name="RGBAToARGB-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RGBAToARGB</h4>
<pre>public static int RGBAToARGB(int color)</pre>
<div class="block">Simple color converter. Converts from RRGB to ARGB.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - Color to be converted.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Color in ARGB.</dd>
</dl>
</li>
</ul>
<a name="getMaterial--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaterial</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a> getMaterial()</pre>
<div class="block">Get the <code>Material</code></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Material</code> object.</dd>
</dl>
</li>
</ul>
<a name="setMaterial-com.here.android.mpa.mapping.MapModelObject.Material-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaterial</h4>
<pre>public boolean setMaterial(<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a> material)</pre>
<div class="block">Set the <code>Material</code></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>material</code> - <code>Material</code> to be used.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean true if successful, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="getNumberLightsSupported--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumberLightsSupported</h4>
<pre>public int getNumberLightsSupported()</pre>
<div class="block">Get the maximum number of lights supported.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int maximum light count.</dd>
</dl>
</li>
</ul>
<a name="addLight-com.here.android.mpa.mapping.MapModelObject.Light-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addLight</h4>
<pre>public boolean addLight(<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a> light)</pre>
<div class="block">Add a light to the object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>light</code> - New <code>light</code> to add.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if successful, false otherwise.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html#getNumberLightsSupported--"><code>MapModelObject.getNumberLightsSupported()</code></a></dd>
</dl>
</li>
</ul>
<a name="getLight-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLight</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a> getLight(int index)</pre>
<div class="block">Get an already added <code>Light</code></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the light to get</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>Light</code> object if successful</dd>
</dl>
</li>
</ul>
<a name="setLight-int-com.here.android.mpa.mapping.MapModelObject.Light-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLight</h4>
<pre>public boolean setLight(int index,
                        <a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a> light)</pre>
<div class="block">Update the light for a particular light</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the light to update</dd>
<dd><code>light</code> - Light object to update</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if successful, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="removeAllLights--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAllLights</h4>
<pre>public boolean removeAllLights()</pre>
<div class="block">Remove all lights from this model object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the operation was successful.</dd>
</dl>
</li>
</ul>
<a name="getNumLights--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNumLights</h4>
<pre>public int getNumLights()</pre>
<div class="block">Get the number of lights.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int, number of lights.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapModelObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.DirectionalLight.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapModelObject.html" target="_top">Frames</a></li>
<li><a href="MapModelObject.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
